/**
* @file VideoConfDemo_version.cpp
* @brief VideoConfDemo version information
* @date Feb 10, 2011
*
* DIALOGIC CONFIDENTIAL
* Copyright  2009-2011 Dialogic Corporation. All Rights 
* Reserved. 
* 
* The source code contained or described herein and all documents related to
* the source code (Material) are owned by Dialogic Corporation or its suppliers
* or licensors. Title to the Material remains with Dialogic Corporation or its
* suppliers and licensors. The Material contains trade secrets and proprietary
* and confidential information of Dialogic or its suppliers and licensors. The
* Material is protected by worldwide copyright and trade secret laws and treaty
* provisions. No part of the Material may be used, copied, reproduced,
* modified, published, uploaded, posted, transmitted, distributed, or disclosed
* in any way without Dialogic's prior express written permission.
* 
* No license under any patent, copyright, trade secret or other intellectual
* property right is granted to or conferred upon you by disclosure or delivery
* of the Materials, either expressly, by implication, inducement, estoppel or
* otherwise. Any license under such intellectual property rights must be
* express and approved by Dialogic in writing.
*
*
*          DESCRIPTION:
*                      This is the 'more recent' version history file for the VideoConfDemo
*
*                      Version number looks like this:
*                      "KEYWORD TMmmBBAA-<build> exename <optional string>"
*
* Where:
*       KEYWORD = DLcid
*       T  = type (0-Prod, 1-Beta, 2-Alpha, 3-Expr, 4-Special)
*       M  = major number (0-9)
*       mm = minor number (00-99)
*       BB = beta number  (00-99)
*       AA = alpha/experimental number (00-99)
*       <build> - build number (reset to 0 when major/minor/alpha/beta change)
*       <exename> - name of file this is a version of
*       <optional string> - optional comment string
*
************************************************************************************************/

/*
 *                                                                ---Type: 0=Prod, 1=Beta, 2=Alpha, 3=Exp
 *                                                               | -----Major Number
 *                                                               ||  -----Minor Number
 *                                                               || |  -----Beta Number
 *                                                               || | |  -----Alpha/Exp Number
 *                                                               || | | |
 *                                                               || | | |
 *                                                               vv v v v
*/
const char * VIDEO_CONF_DEMO_BINARY_VERSION_STRING	= "DLcid 01000000-37 VideoConfDemo";
const char * VIDEO_CONF_DEMO_VERSION_STRING		= "01000000-37";
const char * VIDEO_CONF_DEMO_RELEASE_STRING         	= "VIDCONF_DEMO";

/******************************************************************************************




**VideoConfDemo - Version 1.00-Build-37*************************************** Jun-2012 [JM]
1. Added RTSP support for streaming RTSP into a region as a virtualcaller
   - compile using USE_RTSP flag in makefile
   - example: caller1=rtsp://10.20.129.96/axis-media/media.3gp
   - video support H264, H263, H263_1998, H263_2000, MPEG4
   - audio support G711u and AMR(NB).  G711A, G722, G726 untested 
   - supports Axis camera M1031-W
2. Updated ipm local/remote structures
**VideoConfDemo - Version 1.00-Build-36*************************************** Oct-2011 [JM/HG]
1. Fix for mmPlay issue - code bug in videocoder struct union cause bitrate to be set to 0
2. Added Bitrate to MMPlays for video buffer allocation
3. Added 15sec RTP Timeout code to hangup call [HG]
4. Merged latest VidConfDemo code
**VideoConfDemo - Version 1.00-Build-35*************************************** Aug-2011 [RK]
1.Compile for Windows HMP5.0
**VideoConfDemo - Version 1.00-Build-34*************************************** Aug-2011 [JM/PL]
1. Added c= connection line in SDP Answer - fixed bug with Vippie Android crashing
2. Merged with baseline mtk/3gp updates [PL]
**VideoConfDemo - Version 1.00-Build-33*************************************** Jun-2011 [JM]
1. Changed Dtmf processing
2. Fix RFC2833 mode -  working again now with PIN numbers.
3. Cleanup state corner cases
**VideoConfDemo - Version 1.00-Build-32*************************************** Jun-2011 [JM]
1. State machine changes to fix SIP Answer before conference dev_Connect issue (no video for 3 sec)
2. Fix PIN to Accept 0 as first digits
3. General cleanup
**VideoConfDemo - Version 1.00-Build-31*************************************** May-2011 [JM]
1. Fix bitrate issue on record
**VideoConfDemo - Version 1.00-Build-30*************************************** May-2011 [JM]
1. Add codec selection for record
2. Separated video codec for PrimRecord from PrimPlay
**VideoConfDemo - Version 1.00-Build-29*************************************** May-2011 [PL/JM]
1. Merge with 3gp files support additions
**VideoConfDemo - Version 1.00-Build-28*************************************** May-2011 [JM]
1. Added H264 constraint to profile-level-id
2. Added H264 packetization mode to fmtp line
3. Added License output to logfile.txt based on dev_GetFeatureData
4. Added code for Sip Authentication.  TODO: needs verification and parameters in config file.
**VideoConfDemo - Version 1.00-Build-27*************************************** Apr-2011 [JM]
1. Added Selection for support of H264 (.vid) DMF files through file name
**VideoConfDemo - Version 1.00-Build-26*************************************** Apr-2011 [PL]
1. Added baseline for future 3gp file support.
2. 3GP disabled by default - Requires correct fwr.
**VideoConfDemo - Version 1.00-Build-25*************************************** Apr-2011 [JM]
1. Added workaround for Mirial 4CIF. LEVEL_2_1 response
**VideoConfDemo - Version 1.00-Build-24*************************************** Mar-2011 [JM]
1. Added ConfID and ConfPin specific per conference room
2. Fixed app failure when ipmedia fails due to codec
3. Fixed app failure when disconnect comes during media starting state
**VideoConfDemo - Version 1.00-Build-23*************************************** Mar-2011 [JM]
1. Added b=CT bandwidth parameter
2. default to CIF/384 if no 'profile-level-id'
**VideoConfDemo - Version 1.00-Build-22*************************************** Mar-2011 [JM]
1. Fix missing leading zeros in ConfID
2. Convert PIN and BaseConfID to string type
      ConfID now BaseConfID from .cfg + Cnf#
      ConfPIN now BaseConfPIN from .cfg + Cnf# 
3. Fix to dis-allow more real parties than PartyPerConf
4. Identify when files do not exist or can not be read on mm_Play 
**VideoConfDemo - Version 1.00-Build-21*************************************** Feb-2011 [JM]
1. Update to default to H264 profile-level-id if not in SDP invite. 
**VideoConfDemo - Version 1.00-Build-20*************************************** Feb-2011 [JM]
1. Update to separate Local/Remote settings for ipm_StartMedia 
/******************************************************************************************
**VideoConfDemo - Version 1.00-Build-19*************************************** Feb-2011 [JM]
1. Fix Application crash after 10th call
**VideoConfDemo - Version 1.00-Build-18*************************************** Feb-2011 [JM]
1. Merge SKS Multiple conf version
2. allow no greeting, but only if PINEnabled=false
3. Update GetDigit to look for PIN length digits
4. Update configuration files and Readme
5. Updated vidconf_media to include bye and invalid clips  
****************************************************************************** Jan 7, 2011[SK]
*******************************************************************************************
1. Added multiple conference, ID is configurable
2. Follwing parameters also made configurable
   a. Conference Duration
   b. Number of Confrence Room
   c. Number of Parties per conference
   d. Number of Virtual parties per conference
   e. Conference ROOM ID
   f. Conference Access PIN
   g. recording enable or disabled
   h. pin is enabled or disabled
3. Virtual Caller is now per conference basis
4. Virtual Caller is now getting cleared properly otherwise previously
      // application was only doing mm_Close() while shutting down
      // Now it has been cleaned properly by doing:
         a. mm_Stop()
         b. cnf_RemoveParty()
         c. dev_PortDisconnect()
5. Virtual caller will be added only when there is one real caller available
6. Virtual caller will be removed from conference if no real caller available
7. Conference ID is retrieved from SIP URI cnfID@x.x.x.x
8. If invalid conference ID in SIP-URI then will added to 1st conf room
9. added error check for greeting, mediafilepath, vCaller, vCaller video files etc
10. made greeting manadatory to play out
11. added conference recording
12. added playing timeout prompt during conference
13. added invalid pin prompt if entered
14. if PIN disabled, caller will be added to conf after greeting prompt finishes
**VideoConfDemo - Version 1.00-Build-17*************************************** Dec-2010 [JM]
* Dec, 2010
*   1. Fix extra 'c=' line in sdp for audio only calls (caused disconnect problem with some proxys)
*******************************************************************************************    
**VideoConfDemo - Version 1.00-Build-16*************************************** Dec-2010 [JM]
* Dec, 2010
*   1. Change makefile to always compile with USE_H264
*   2. Fix audio only issues with WB codecs for HDVoiceConferencing 
*******************************************************************************************    
**VideoConfDemo - Version 1.00-Build-15*************************************** Aug-2010 [SKS/JM]
* Aug 2010
*   1. REMOVED - Experimental B15 Only (Add Multiple conferences support)
*******************************************************************************************    
**VideoConfDemo - Version 1.00-Build-14*************************************** Jul-2010 [JM]
* July, 2010
*   1. Add debug logging around codec negotiation
*   2. [Bria issue]Choose highest resolution when presented with more than one 
*      SDP resolution in SDP
*   3. Added UpdateMatchedCoder to update matched coder bitrate and level based on app settings
*   4. Updated makefile with -m32 switch for 32bit compilation on 64bit OS.
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-13*************************************** May-2010 [GT]
* May 28, 2010
*   1. Changed startup to create application objects in the event thread to elinate a race
*      condition that can cause an issue with ipm_open
*   2. RFC-2833 payload number for RX is dynamic and reflects what comes in the INVITE
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-12*************************************** May-2010 [GT]
* May 6, 2010
*   1. Improved shutdown ('Q' or Ctrl-C) behavior when calls are connected
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-11************************************** Apr-2010 [JM]
* Apr 20, 2010
*   1. Added H.264 codec
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-10************************************** Apr-2010 [GT]
* Apr 2, 2010
*   1. Changed call setup state machine to start streaming before 200 OK and eliminate
*      ICMP packets
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-9*************************************** Feb-2010 [GT]
* Feb 12, 2010
*   1. Added configuration for up to 8 virtual callers
*   2. Fixed a problem with "freerze frame" on disconnect
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-8*************************************** Feb-2010 [GT]
* Feb 8, 2010
*   1. Added configuration to enable/disable tone clamping and echo cancelation
*   2. Enhanced PIP demo features
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-7*************************************** Feb-2010 [GT]
* Feb 4, 2010
*   1. Changed DTMF detection to use RFC2833 Events
*   2. Enhanced PIP demo features
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-6*************************************** Feb-2010 [GT]
* Feb 3, 2010
*   1. Changed Ctrl-C shutdown
*       - 1st try - user hits "Enter" to end application
*       - 2nd try - no action
*       - 3rd try - application is killed, may need to restart ipmedia
*   2. Fixed a problem with unreserve resources
*   3. Cleared out some unused code
*   4. Merged in G.722 and AMR-WB changes
*   5. Added active talker mode for 1 and 6 region layouts
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-5*************************************** Jan-2010 [GT]
* Jan 14, 2010
*   1. Added 2 PIP demo feature modes
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-4*************************************** Jan-2010 [GT]
* Jan 13, 2010
*   1. Added feature delay timer to cycle through conference layouts
*******************************************************************************************
**VideoConfDemo - Version 1.00-Build-3*************************************** Oct-2009 [JM]
* Oct 7, 2009
*   1. (IPY81157) Fixed compilation errors with RH5u2
*   2. Bug - Fixed VideoBandwidth not getting reset after call was released (caused Bad VQ!)
*   3. Bug - Did not connect when Vizuphone b/c no fmtp in INVITE
*       Added a H263 default case to MatchCoder if H263 exists but not fmtp QCIF/CIF 
*      (will now choose QCIF/50Kbps/15FPS/L10)
*   4. Bug - Fixed SIP (200OK) SDP message sometimes including extra characters
*   5. Bug - Fixed Timestamp 'month' value in LogMsg
*   6. Added "defaultvideobitrate" config parameter if bandwidth not provided by ip endpoint
*   7. Added version control through 'getver'
*******************************************************************************************/

